org.keycloak.social.paypal

## Class PayPalIdentityProviderConfig

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel
  - - org.keycloak.broker.oidc.OAuth2IdentityProviderConfig
    - - org.keycloak.social.paypal.PayPalIdentityProviderConfig

- All Implemented Interfaces:
    Serializable

      public class PayPalIdentityProviderConfig
      extends OAuth2IdentityProviderConfig

  Author:
    Petter Lysne (petterlysne at hotmail dot com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `PKCE_ENABLED, PKCE_METHOD`

    - ### Fields inherited from class org.keycloak.models.IdentityProviderModel

      `addReadTokenRoleOnCreate, ALLOWED_CLOCK_SKEW, HIDE_ON_LOGIN, linkOnly, LOGIN_HINT, SYNC_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PayPalIdentityProviderConfig()`
    `PayPalIdentityProviderConfig(IdentityProviderModel model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSandbox(boolean sandbox)`
    `boolean` | `targetSandbox()`

    - ### Methods inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `getAuthorizationUrl, getClientAssertionSigningAlg, getClientAuthMethod, getClientId, getClientSecret, getDefaultScope, getForwardParameters, getPkceMethod, getPrompt, getTokenUrl, getUserInfoUrl, isBasicAuthentication, isJWTAuthentication, isPkceEnabled, isUiLocales, setAuthorizationUrl, setClientAssertionSigningAlg, setClientAuthMethod, setClientId, setClientSecret, setDefaultScope, setForwardParameters, setPkceEnabled, setPkceMethod, setTokenUrl, setUiLocales, setUserInfoUrl, validate`

    - ### Methods inherited from class org.keycloak.models.IdentityProviderModel

      `getAlias, getConfig, getDisplayName, getFirstBrokerLoginFlowId, getInternalId, getPostBrokerLoginFlowId, getProviderId, getSyncMode, isAddReadTokenRoleOnCreate, isAuthenticateByDefault, isEnabled, isHideOnLogin, isLinkOnly, isLoginHint, isStoreToken, isTrustEmail, setAddReadTokenRoleOnCreate, setAlias, setAuthenticateByDefault, setConfig, setDisplayName, setEnabled, setFirstBrokerLoginFlowId, setHideOnLogin, setInternalId, setLinkOnly, setLoginHint, setPostBrokerLoginFlowId, setProviderId, setStoreToken, setSyncMode, setTrustEmail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PayPalIdentityProviderConfig

          public PayPalIdentityProviderConfig(IdentityProviderModel model)

    - #### PayPalIdentityProviderConfig

          public PayPalIdentityProviderConfig()

  - ### Method Detail

    - #### targetSandbox

          public boolean targetSandbox()

    - #### setSandbox

          public void setSandbox(boolean sandbox)

Copyright © 2021 JBoss by Red Hat. All rights reserved.